Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001112Core InformActionspublic2013-04-23 14:332014-05-07 07:33
Reporterjmac 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version6L02 
Summary0001112: Opening a closed object containing only a scenery object results in an ungrammatical "revealing" message.
DescriptionSet up a container as openable, closed, and with only a scenery object inside of it. During play, the object will respond to an OPEN action with the statement "You open the [object], revealing ."
Minimal Source Text To Reproduce
The Bughouse is a room. "This room demostrates the somewhat broken library-constructed message 
one sees when opening a container with scenery inside of it."

The box is in the Bughouse. "A cardboard box sits here. (TEST BOX)." The box is openable. The 
box is closed. It has the description "[If the box is closed]It is closed. What could be inside?[else]It 
is full of emptiness."

Emptiness is scenery in the box. "Nothing but dust."

Test box with "x box / open box / x box / x emptiness".
Additional InformationSample output from the provided source:

Bughouse
This room demostrates the somewhat broken library-constructed message one sees when opening a container with scenery inside of it.

A cardboard box sits here. (TEST BOX).

>test box
(Testing.)

>[1] x box
It is closed. What could be inside?

>[2] open box
You open the box, revealing .

>[3] x box
It is full of emptiness.

>[4] x emptiness
Nothing but dust.

>
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0002044)
zarf (developer)
2013-04-23 22:50
edited on: 2013-04-23 22:50

Confirmed.

The "reveal any newly visible interior rule" invokes library message Open 4:

if (WriteListFrom(child(x1), ENGLISH_BIT+TERSE_BIT+CONCEAL_BIT) == 0) "nothing.";

(0002396)
graham (administrator)
2014-01-27 14:39

Fixed - a bug in the list-writer going right back to Inform 6, I would think, but it's surprising how rarely the circumstances arise.

- Issue History
Date Modified Username Field Change
2013-04-23 14:33 jmac New Issue
2013-04-23 22:50 zarf Note Added: 0002044
2013-04-23 22:50 zarf Status new => confirmed
2013-04-23 22:51 zarf Note Edited: 0002044 View Revisions
2014-01-27 14:39 graham Note Added: 0002396
2014-01-27 14:39 graham Status confirmed => resolved
2014-01-27 14:39 graham Resolution open => fixed
2014-01-27 14:39 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker